Bug 452133 - mutt configured for aspell, but built without support
mutt configured for aspell, but built without support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mutt (Show other bugs)
8
All All
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-19 11:19 EDT by Moritz Barsnick
Modified: 2008-06-25 06:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-25 06:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2008-06-19 11:19:04 EDT
Description of problem:
mutt is explicitely configured for aspell (instead of ispell) in the SPEC file, 
but it doesn't even have support for either built in.

Version-Release number of selected component (if applicable):
1.5.18-2

How reproducible:
always

Steps to Reproduce:
1. mutt -v
2.
3.
  
Actual results:
-ISPELL

Expected results:
ISPELL="/usr/bin/ispell"

Additional info:
- It looks like mutt requires the presence of an ispell binary in order to 
build support for it. Stupid, huh? So, first line fix would be:
BuildRequires: aspell
(if it is really desired, but why not?).

- Perhaps ./configure should be patched to also detect the aspell binary. The 
ispell binary it detects here (with the above fix) is the comaptibility script.

- I checked this with the F8 SRPM, but it should be valid for all current 
builds, i.e. F8, F9, rawhide^Wdevelopment.
Comment 1 Miroslav Lichvar 2008-06-19 11:45:35 EDT
That's just a cosmetic issue. -ISPELL in the output means there is no hardcoded
path in mutt, but the support is still compiled in.

In /etc/Muttrc is the following line to use the aspell's email mode.

set ispell="/usr/bin/aspell --mode=email check"
Comment 2 Miroslav Lichvar 2008-06-25 06:40:02 EDT
mutt-1.5.18-3.fc10 buildrequires aspell.

Note You need to log in before you can comment on or make changes to this bug.